BCD(6)

NAME
bcd, ppt, morse - reformat input as punch cards, paper tape or morse code

SYNOPSIS
bcd [string ...]
ppt [ -d [-b] string ...]
morse [-d | -s] [string ...]

DESCRIPTION
The bcd, ppt, and morse commands read the given input and reformat it in the form of punched cards, paper tape, or morse code, respectively. Acceptable input are command line arguments or the standard input.

Available options for ppt:

-d [-b]
    The -d option for ppt decodes paper tape on the standard input back to ASCII. Unprintable characters are visually encoded with vis(3) unless the -b flag (binary) is also specified. A lowercase ‘x’ is printed for undecipherable input lines.

Available options for morse:

-d  The -d option for morse decodes dot-dash morse ( as generated by using the -s option) back into text. A lowercase ‘x’ is printed for undecipherable input; otherwise, text is returned uppercase. If the morse to be translated is given on the command line, it should be preceded by ‘--’ to keep it from being mistaken for options.

-s  The -s option for morse produces dots and dashes rather than words.

SEE ALSO
ISO 1681:1973, Information processing--Unpunched paper cards--Specification. ISO 1682:1973, Information processing--80 columns punched paper cards--Dimensions and location of rectangular punched holes. ECMA-10, ECMA Standard for Data Interchange on Punched Tape. ITU-T Recommendation F.1, Operational provisions for the international public telegram service, Division B, I. Morse code.